import { Commitment, Connection, PublicKey } from '@safecoin/web3.js';
export interface Mint {
    address: PublicKey;
    mintAuthority: PublicKey | null;
    supply: bigint;
    decimals: number;
    isInitialized: boolean;
    freezeAuthority: PublicKey | null;
}
export declare abstract class TokenError extends Error {
    constructor(message?: string);
}
export declare class TokenAccountNotFoundError extends TokenError {
    name: string;
}
export declare class TokenInvalidAccountOwnerError extends TokenError {
    name: string;
}
export declare class TokenInvalidAccountSizeError extends TokenError {
    name: string;
}
export declare const MINT_SIZE: number;
export declare function getMint(connection: Connection, address: PublicKey, commitment?: Commitment, programId?: PublicKey): Promise<Mint>;
