/// <reference types="node" />
import * as definedTypes from '../types';
import * as beet from '@j0nnyboi/beet';
import * as web3 from '@safecoin/web3.js';
export declare type ExternalPriceAccountArgs = {
    key: definedTypes.Key;
    pricePerShare: beet.bignum;
    priceMint: web3.PublicKey;
    allowedToCombine: boolean;
};
export declare class ExternalPriceAccount implements ExternalPriceAccountArgs {
    readonly key: definedTypes.Key;
    readonly pricePerShare: beet.bignum;
    readonly priceMint: web3.PublicKey;
    readonly allowedToCombine: boolean;
    private constructor();
    static fromArgs(args: ExternalPriceAccountArgs): ExternalPriceAccount;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [ExternalPriceAccount, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey): Promise<ExternalPriceAccount>;
    static deserialize(buf: Buffer, offset?: number): [ExternalPriceAccount, number];
    serialize(): [Buffer, number];
    static get byteSize(): number;
    static getMinimumBalanceForRentExemption(connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static hasCorrectByteSize(buf: Buffer, offset?: number): boolean;
    pretty(): {
        key: string;
        pricePerShare: beet.bignum;
        priceMint: string;
        allowedToCombine: boolean;
    };
}
export declare const externalPriceAccountBeet: beet.BeetStruct<ExternalPriceAccount, ExternalPriceAccountArgs>;
