"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.externalPriceAccountBeet = exports.ExternalPriceAccount = void 0;
const definedTypes = __importStar(require("../types"));
const beet = __importStar(require("@j0nnyboi/beet"));
const beetSolana = __importStar(require("@j0nnyboi/beet-safecoin"));
class ExternalPriceAccount {
    constructor(key, pricePerShare, priceMint, allowedToCombine) {
        this.key = key;
        this.pricePerShare = pricePerShare;
        this.priceMint = priceMint;
        this.allowedToCombine = allowedToCombine;
    }
    static fromArgs(args) {
        return new ExternalPriceAccount(args.key, args.pricePerShare, args.priceMint, args.allowedToCombine);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return ExternalPriceAccount.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address) {
        const accountInfo = await connection.getAccountInfo(address);
        if (accountInfo == null) {
            throw new Error(`Unable to find ExternalPriceAccount account at ${address}`);
        }
        return ExternalPriceAccount.fromAccountInfo(accountInfo, 0)[0];
    }
    static deserialize(buf, offset = 0) {
        return exports.externalPriceAccountBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.externalPriceAccountBeet.serialize(this);
    }
    static get byteSize() {
        return exports.externalPriceAccountBeet.byteSize;
    }
    static async getMinimumBalanceForRentExemption(connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(ExternalPriceAccount.byteSize, commitment);
    }
    static hasCorrectByteSize(buf, offset = 0) {
        return buf.byteLength - offset === ExternalPriceAccount.byteSize;
    }
    pretty() {
        return {
            key: 'Key.' + definedTypes.Key[this.key],
            pricePerShare: this.pricePerShare,
            priceMint: this.priceMint.toBase58(),
            allowedToCombine: this.allowedToCombine,
        };
    }
}
exports.ExternalPriceAccount = ExternalPriceAccount;
exports.externalPriceAccountBeet = new beet.BeetStruct([
    ['key', definedTypes.keyBeet],
    ['pricePerShare', beet.u64],
    ['priceMint', beetSolana.publicKey],
    ['allowedToCombine', beet.bool],
], ExternalPriceAccount.fromArgs, 'ExternalPriceAccount');
//# sourceMappingURL=ExternalPriceAccount.js.map