/// <reference types="node" />
import * as definedTypes from '../types';
import * as web3 from '@safecoin/web3.js';
import * as beet from '@j0nnyboi/beet';
export declare type SafetyDepositBoxArgs = {
    key: definedTypes.Key;
    vault: web3.PublicKey;
    tokenMint: web3.PublicKey;
    store: web3.PublicKey;
    order: number;
};
export declare class SafetyDepositBox implements SafetyDepositBoxArgs {
    readonly key: definedTypes.Key;
    readonly vault: web3.PublicKey;
    readonly tokenMint: web3.PublicKey;
    readonly store: web3.PublicKey;
    readonly order: number;
    private constructor();
    static fromArgs(args: SafetyDepositBoxArgs): SafetyDepositBox;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [SafetyDepositBox, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey): Promise<SafetyDepositBox>;
    static deserialize(buf: Buffer, offset?: number): [SafetyDepositBox, number];
    serialize(): [Buffer, number];
    static get byteSize(): number;
    static getMinimumBalanceForRentExemption(connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static hasCorrectByteSize(buf: Buffer, offset?: number): boolean;
    pretty(): {
        key: string;
        vault: string;
        tokenMint: string;
        store: string;
        order: number;
    };
}
export declare const safetyDepositBoxBeet: beet.BeetStruct<SafetyDepositBox, SafetyDepositBoxArgs>;
