"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.safetyDepositBoxBeet = exports.SafetyDepositBox = void 0;
const definedTypes = __importStar(require("../types"));
const beetSolana = __importStar(require("@j0nnyboi/beet-safecoin"));
const beet = __importStar(require("@j0nnyboi/beet"));
class SafetyDepositBox {
    constructor(key, vault, tokenMint, store, order) {
        this.key = key;
        this.vault = vault;
        this.tokenMint = tokenMint;
        this.store = store;
        this.order = order;
    }
    static fromArgs(args) {
        return new SafetyDepositBox(args.key, args.vault, args.tokenMint, args.store, args.order);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return SafetyDepositBox.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address) {
        const accountInfo = await connection.getAccountInfo(address);
        if (accountInfo == null) {
            throw new Error(`Unable to find SafetyDepositBox account at ${address}`);
        }
        return SafetyDepositBox.fromAccountInfo(accountInfo, 0)[0];
    }
    static deserialize(buf, offset = 0) {
        return exports.safetyDepositBoxBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.safetyDepositBoxBeet.serialize(this);
    }
    static get byteSize() {
        return exports.safetyDepositBoxBeet.byteSize;
    }
    static async getMinimumBalanceForRentExemption(connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(SafetyDepositBox.byteSize, commitment);
    }
    static hasCorrectByteSize(buf, offset = 0) {
        return buf.byteLength - offset === SafetyDepositBox.byteSize;
    }
    pretty() {
        return {
            key: 'Key.' + definedTypes.Key[this.key],
            vault: this.vault.toBase58(),
            tokenMint: this.tokenMint.toBase58(),
            store: this.store.toBase58(),
            order: this.order,
        };
    }
}
exports.SafetyDepositBox = SafetyDepositBox;
exports.safetyDepositBoxBeet = new beet.BeetStruct([
    ['key', definedTypes.keyBeet],
    ['vault', beetSolana.publicKey],
    ['tokenMint', beetSolana.publicKey],
    ['store', beetSolana.publicKey],
    ['order', beet.u8],
], SafetyDepositBox.fromArgs, 'SafetyDepositBox');
//# sourceMappingURL=SafetyDepositBox.js.map