"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.vaultBeet = exports.Vault = void 0;
const definedTypes = __importStar(require("../types"));
const beet = __importStar(require("@j0nnyboi/beet"));
const beetSolana = __importStar(require("@j0nnyboi/beet-safecoin"));
class Vault {
    constructor(key, tokenProgram, fractionMint, authority, fractionTreasury, redeemTreasury, allowFurtherShareCreation, pricingLookupAddress, tokenTypeCount, state, lockedPricePerShare, extraByte) {
        this.key = key;
        this.tokenProgram = tokenProgram;
        this.fractionMint = fractionMint;
        this.authority = authority;
        this.fractionTreasury = fractionTreasury;
        this.redeemTreasury = redeemTreasury;
        this.allowFurtherShareCreation = allowFurtherShareCreation;
        this.pricingLookupAddress = pricingLookupAddress;
        this.tokenTypeCount = tokenTypeCount;
        this.state = state;
        this.lockedPricePerShare = lockedPricePerShare;
        this.extraByte = extraByte;
    }
    static fromArgs(args) {
        return new Vault(args.key, args.tokenProgram, args.fractionMint, args.authority, args.fractionTreasury, args.redeemTreasury, args.allowFurtherShareCreation, args.pricingLookupAddress, args.tokenTypeCount, args.state, args.lockedPricePerShare, args.extraByte);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return Vault.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address) {
        const accountInfo = await connection.getAccountInfo(address);
        if (accountInfo == null) {
            throw new Error(`Unable to find Vault account at ${address}`);
        }
        return Vault.fromAccountInfo(accountInfo, 0)[0];
    }
    static deserialize(buf, offset = 0) {
        return exports.vaultBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.vaultBeet.serialize(this);
    }
    static get byteSize() {
        return exports.vaultBeet.byteSize;
    }
    static async getMinimumBalanceForRentExemption(connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(Vault.byteSize, commitment);
    }
    static hasCorrectByteSize(buf, offset = 0) {
        return buf.byteLength - offset === Vault.byteSize;
    }
    pretty() {
        return {
            key: 'Key.' + definedTypes.Key[this.key],
            tokenProgram: this.tokenProgram.toBase58(),
            fractionMint: this.fractionMint.toBase58(),
            authority: this.authority.toBase58(),
            fractionTreasury: this.fractionTreasury.toBase58(),
            redeemTreasury: this.redeemTreasury.toBase58(),
            allowFurtherShareCreation: this.allowFurtherShareCreation,
            pricingLookupAddress: this.pricingLookupAddress.toBase58(),
            tokenTypeCount: this.tokenTypeCount,
            state: 'VaultState.' + definedTypes.VaultState[this.state],
            lockedPricePerShare: this.lockedPricePerShare,
            extraByte: this.extraByte,
        };
    }
}
exports.Vault = Vault;
exports.vaultBeet = new beet.BeetStruct([
    ['key', definedTypes.keyBeet],
    ['tokenProgram', beetSolana.publicKey],
    ['fractionMint', beetSolana.publicKey],
    ['authority', beetSolana.publicKey],
    ['fractionTreasury', beetSolana.publicKey],
    ['redeemTreasury', beetSolana.publicKey],
    ['allowFurtherShareCreation', beet.bool],
    ['pricingLookupAddress', beetSolana.publicKey],
    ['tokenTypeCount', beet.u8],
    ['state', definedTypes.vaultStateBeet],
    ['lockedPricePerShare', beet.u64],
    ['extraByte', beet.u8],
], Vault.fromArgs, 'Vault');
//# sourceMappingURL=Vault.js.map