declare type ErrorWithCode = Error & {
    code: number;
};
declare type MaybeErrorWithCode = ErrorWithCode | null | undefined;
export declare class InstructionUnpackErrorError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class NotRentExemptError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class AlreadyInitializedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class UninitializedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class IncorrectOwnerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class NumericalOverflowErrorError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TokenAccountContainsNoTokensError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TokenAccountAmountLessThanAmountSpecifiedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class VaultAccountIsNotEmptyError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class VaultAccountIsNotOwnedByProgramError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class SafetyDepositAddressInvalidError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TokenTransferFailedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TokenMintToFailedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TokenBurnFailedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class VaultMintNotEmptyError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class VaultAuthorityNotProgramError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TreasuryNotEmptyError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TreasuryOwnerNotProgramError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class VaultShouldBeInactiveError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class VaultShouldBeActiveError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class VaultShouldBeCombinedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class VaultTreasuryMintDoesNotMatchVaultMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class RedeemTreasuryCantShareSameMintAsFractionError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidAuthorityError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class RedeemTreasuryMintMustMatchLookupMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class PaymentMintShouldMatchPricingMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ShareMintShouldMatchFractionalMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class VaultMintNeedsToMatchVaultError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class RedeemTreasuryNeedsToMatchVaultError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class FractionTreasuryNeedsToMatchVaultError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class NotAllowedToCombineError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CannotAffordToCombineThisVaultError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class NoSharesError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class OutstandingShareAccountNeedsToMatchFractionalMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class DestinationAccountNeedsToMatchRedeemMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class FractionSupplyEmptyError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TokenProgramProvidedDoesNotMatchVaultError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class AuthorityIsNotSignerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class AuthorityDoesNotMatchError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class SafetyDepositBoxVaultMismatchError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class StoreDoesNotMatchSafetyDepositBoxError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class StoreEmptyError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class DestinationAccountNeedsToMatchTokenMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class DestinationAccountNeedsToMatchFractionMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class SourceAccountNeedsToMatchFractionMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class VaultDoesNotAllowNewShareMintingError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class NotEnoughSharesError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ExternalPriceAccountMustBeSignerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class RedeemTreasuryMintShouldMatchPricingMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class StoreLessThanAmountError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidTokenProgramError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class DataTypeMismatchError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class DelegateShouldBeNoneError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CloseAuthorityShouldBeNoneError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class DerivedKeyInvalidError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare function errorFromCode(code: number): MaybeErrorWithCode;
export declare function errorFromName(name: string): MaybeErrorWithCode;
export {};
