"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StoreLessThanAmountError = exports.RedeemTreasuryMintShouldMatchPricingMintError = exports.ExternalPriceAccountMustBeSignerError = exports.NotEnoughSharesError = exports.VaultDoesNotAllowNewShareMintingError = exports.SourceAccountNeedsToMatchFractionMintError = exports.DestinationAccountNeedsToMatchFractionMintError = exports.DestinationAccountNeedsToMatchTokenMintError = exports.StoreEmptyError = exports.StoreDoesNotMatchSafetyDepositBoxError = exports.SafetyDepositBoxVaultMismatchError = exports.AuthorityDoesNotMatchError = exports.AuthorityIsNotSignerError = exports.TokenProgramProvidedDoesNotMatchVaultError = exports.FractionSupplyEmptyError = exports.DestinationAccountNeedsToMatchRedeemMintError = exports.OutstandingShareAccountNeedsToMatchFractionalMintError = exports.NoSharesError = exports.CannotAffordToCombineThisVaultError = exports.NotAllowedToCombineError = exports.FractionTreasuryNeedsToMatchVaultError = exports.RedeemTreasuryNeedsToMatchVaultError = exports.VaultMintNeedsToMatchVaultError = exports.ShareMintShouldMatchFractionalMintError = exports.PaymentMintShouldMatchPricingMintError = exports.RedeemTreasuryMintMustMatchLookupMintError = exports.InvalidAuthorityError = exports.RedeemTreasuryCantShareSameMintAsFractionError = exports.VaultTreasuryMintDoesNotMatchVaultMintError = exports.VaultShouldBeCombinedError = exports.VaultShouldBeActiveError = exports.VaultShouldBeInactiveError = exports.TreasuryOwnerNotProgramError = exports.TreasuryNotEmptyError = exports.VaultAuthorityNotProgramError = exports.VaultMintNotEmptyError = exports.TokenBurnFailedError = exports.TokenMintToFailedError = exports.TokenTransferFailedError = exports.SafetyDepositAddressInvalidError = exports.VaultAccountIsNotOwnedByProgramError = exports.VaultAccountIsNotEmptyError = exports.TokenAccountAmountLessThanAmountSpecifiedError = exports.TokenAccountContainsNoTokensError = exports.NumericalOverflowErrorError = exports.IncorrectOwnerError = exports.UninitializedError = exports.AlreadyInitializedError = exports.NotRentExemptError = exports.InstructionUnpackErrorError = void 0;
exports.errorFromName = exports.errorFromCode = exports.DerivedKeyInvalidError = exports.CloseAuthorityShouldBeNoneError = exports.DelegateShouldBeNoneError = exports.DataTypeMismatchError = exports.InvalidTokenProgramError = void 0;
const createErrorFromCodeLookup = new Map();
const createErrorFromNameLookup = new Map();
class InstructionUnpackErrorError extends Error {
    constructor() {
        super('Failed to unpack instruction data');
        this.code = 0x0;
        this.name = 'InstructionUnpackError';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InstructionUnpackErrorError);
        }
    }
}
exports.InstructionUnpackErrorError = InstructionUnpackErrorError;
createErrorFromCodeLookup.set(0x0, () => new InstructionUnpackErrorError());
createErrorFromNameLookup.set('InstructionUnpackError', () => new InstructionUnpackErrorError());
class NotRentExemptError extends Error {
    constructor() {
        super('Lamport balance below rent-exempt threshold');
        this.code = 0x1;
        this.name = 'NotRentExempt';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, NotRentExemptError);
        }
    }
}
exports.NotRentExemptError = NotRentExemptError;
createErrorFromCodeLookup.set(0x1, () => new NotRentExemptError());
createErrorFromNameLookup.set('NotRentExempt', () => new NotRentExemptError());
class AlreadyInitializedError extends Error {
    constructor() {
        super('Already initialized');
        this.code = 0x2;
        this.name = 'AlreadyInitialized';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, AlreadyInitializedError);
        }
    }
}
exports.AlreadyInitializedError = AlreadyInitializedError;
createErrorFromCodeLookup.set(0x2, () => new AlreadyInitializedError());
createErrorFromNameLookup.set('AlreadyInitialized', () => new AlreadyInitializedError());
class UninitializedError extends Error {
    constructor() {
        super('Uninitialized');
        this.code = 0x3;
        this.name = 'Uninitialized';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, UninitializedError);
        }
    }
}
exports.UninitializedError = UninitializedError;
createErrorFromCodeLookup.set(0x3, () => new UninitializedError());
createErrorFromNameLookup.set('Uninitialized', () => new UninitializedError());
class IncorrectOwnerError extends Error {
    constructor() {
        super('Account does not have correct owner');
        this.code = 0x4;
        this.name = 'IncorrectOwner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, IncorrectOwnerError);
        }
    }
}
exports.IncorrectOwnerError = IncorrectOwnerError;
createErrorFromCodeLookup.set(0x4, () => new IncorrectOwnerError());
createErrorFromNameLookup.set('IncorrectOwner', () => new IncorrectOwnerError());
class NumericalOverflowErrorError extends Error {
    constructor() {
        super('NumericalOverflowError');
        this.code = 0x5;
        this.name = 'NumericalOverflowError';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, NumericalOverflowErrorError);
        }
    }
}
exports.NumericalOverflowErrorError = NumericalOverflowErrorError;
createErrorFromCodeLookup.set(0x5, () => new NumericalOverflowErrorError());
createErrorFromNameLookup.set('NumericalOverflowError', () => new NumericalOverflowErrorError());
class TokenAccountContainsNoTokensError extends Error {
    constructor() {
        super('Provided token account contains no tokens');
        this.code = 0x6;
        this.name = 'TokenAccountContainsNoTokens';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TokenAccountContainsNoTokensError);
        }
    }
}
exports.TokenAccountContainsNoTokensError = TokenAccountContainsNoTokensError;
createErrorFromCodeLookup.set(0x6, () => new TokenAccountContainsNoTokensError());
createErrorFromNameLookup.set('TokenAccountContainsNoTokens', () => new TokenAccountContainsNoTokensError());
class TokenAccountAmountLessThanAmountSpecifiedError extends Error {
    constructor() {
        super('Provided token account cannot provide amount specified');
        this.code = 0x7;
        this.name = 'TokenAccountAmountLessThanAmountSpecified';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TokenAccountAmountLessThanAmountSpecifiedError);
        }
    }
}
exports.TokenAccountAmountLessThanAmountSpecifiedError = TokenAccountAmountLessThanAmountSpecifiedError;
createErrorFromCodeLookup.set(0x7, () => new TokenAccountAmountLessThanAmountSpecifiedError());
createErrorFromNameLookup.set('TokenAccountAmountLessThanAmountSpecified', () => new TokenAccountAmountLessThanAmountSpecifiedError());
class VaultAccountIsNotEmptyError extends Error {
    constructor() {
        super('Provided vault account contains is not empty');
        this.code = 0x8;
        this.name = 'VaultAccountIsNotEmpty';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, VaultAccountIsNotEmptyError);
        }
    }
}
exports.VaultAccountIsNotEmptyError = VaultAccountIsNotEmptyError;
createErrorFromCodeLookup.set(0x8, () => new VaultAccountIsNotEmptyError());
createErrorFromNameLookup.set('VaultAccountIsNotEmpty', () => new VaultAccountIsNotEmptyError());
class VaultAccountIsNotOwnedByProgramError extends Error {
    constructor() {
        super('Provided vault account is not owned by program derived address with seed of prefix and program id');
        this.code = 0x9;
        this.name = 'VaultAccountIsNotOwnedByProgram';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, VaultAccountIsNotOwnedByProgramError);
        }
    }
}
exports.VaultAccountIsNotOwnedByProgramError = VaultAccountIsNotOwnedByProgramError;
createErrorFromCodeLookup.set(0x9, () => new VaultAccountIsNotOwnedByProgramError());
createErrorFromNameLookup.set('VaultAccountIsNotOwnedByProgram', () => new VaultAccountIsNotOwnedByProgramError());
class SafetyDepositAddressInvalidError extends Error {
    constructor() {
        super('The provided safety deposit account address does not match the expected program derived address');
        this.code = 0xa;
        this.name = 'SafetyDepositAddressInvalid';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, SafetyDepositAddressInvalidError);
        }
    }
}
exports.SafetyDepositAddressInvalidError = SafetyDepositAddressInvalidError;
createErrorFromCodeLookup.set(0xa, () => new SafetyDepositAddressInvalidError());
createErrorFromNameLookup.set('SafetyDepositAddressInvalid', () => new SafetyDepositAddressInvalidError());
class TokenTransferFailedError extends Error {
    constructor() {
        super('Token transfer failed');
        this.code = 0xb;
        this.name = 'TokenTransferFailed';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TokenTransferFailedError);
        }
    }
}
exports.TokenTransferFailedError = TokenTransferFailedError;
createErrorFromCodeLookup.set(0xb, () => new TokenTransferFailedError());
createErrorFromNameLookup.set('TokenTransferFailed', () => new TokenTransferFailedError());
class TokenMintToFailedError extends Error {
    constructor() {
        super('Token mint to failed');
        this.code = 0xc;
        this.name = 'TokenMintToFailed';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TokenMintToFailedError);
        }
    }
}
exports.TokenMintToFailedError = TokenMintToFailedError;
createErrorFromCodeLookup.set(0xc, () => new TokenMintToFailedError());
createErrorFromNameLookup.set('TokenMintToFailed', () => new TokenMintToFailedError());
class TokenBurnFailedError extends Error {
    constructor() {
        super('Token burn failed');
        this.code = 0xd;
        this.name = 'TokenBurnFailed';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TokenBurnFailedError);
        }
    }
}
exports.TokenBurnFailedError = TokenBurnFailedError;
createErrorFromCodeLookup.set(0xd, () => new TokenBurnFailedError());
createErrorFromNameLookup.set('TokenBurnFailed', () => new TokenBurnFailedError());
class VaultMintNotEmptyError extends Error {
    constructor() {
        super('Vault mint not empty on init');
        this.code = 0xe;
        this.name = 'VaultMintNotEmpty';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, VaultMintNotEmptyError);
        }
    }
}
exports.VaultMintNotEmptyError = VaultMintNotEmptyError;
createErrorFromCodeLookup.set(0xe, () => new VaultMintNotEmptyError());
createErrorFromNameLookup.set('VaultMintNotEmpty', () => new VaultMintNotEmptyError());
class VaultAuthorityNotProgramError extends Error {
    constructor() {
        super("Vault mint's authority not set to program PDA with seed of prefix and program id");
        this.code = 0xf;
        this.name = 'VaultAuthorityNotProgram';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, VaultAuthorityNotProgramError);
        }
    }
}
exports.VaultAuthorityNotProgramError = VaultAuthorityNotProgramError;
createErrorFromCodeLookup.set(0xf, () => new VaultAuthorityNotProgramError());
createErrorFromNameLookup.set('VaultAuthorityNotProgram', () => new VaultAuthorityNotProgramError());
class TreasuryNotEmptyError extends Error {
    constructor() {
        super('Vault treasury not empty on init');
        this.code = 0x10;
        this.name = 'TreasuryNotEmpty';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TreasuryNotEmptyError);
        }
    }
}
exports.TreasuryNotEmptyError = TreasuryNotEmptyError;
createErrorFromCodeLookup.set(0x10, () => new TreasuryNotEmptyError());
createErrorFromNameLookup.set('TreasuryNotEmpty', () => new TreasuryNotEmptyError());
class TreasuryOwnerNotProgramError extends Error {
    constructor() {
        super("Vault treasury's owner not set to program pda with seed of prefix and program id");
        this.code = 0x11;
        this.name = 'TreasuryOwnerNotProgram';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TreasuryOwnerNotProgramError);
        }
    }
}
exports.TreasuryOwnerNotProgramError = TreasuryOwnerNotProgramError;
createErrorFromCodeLookup.set(0x11, () => new TreasuryOwnerNotProgramError());
createErrorFromNameLookup.set('TreasuryOwnerNotProgram', () => new TreasuryOwnerNotProgramError());
class VaultShouldBeInactiveError extends Error {
    constructor() {
        super('Vault should be inactive');
        this.code = 0x12;
        this.name = 'VaultShouldBeInactive';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, VaultShouldBeInactiveError);
        }
    }
}
exports.VaultShouldBeInactiveError = VaultShouldBeInactiveError;
createErrorFromCodeLookup.set(0x12, () => new VaultShouldBeInactiveError());
createErrorFromNameLookup.set('VaultShouldBeInactive', () => new VaultShouldBeInactiveError());
class VaultShouldBeActiveError extends Error {
    constructor() {
        super('Vault should be active');
        this.code = 0x13;
        this.name = 'VaultShouldBeActive';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, VaultShouldBeActiveError);
        }
    }
}
exports.VaultShouldBeActiveError = VaultShouldBeActiveError;
createErrorFromCodeLookup.set(0x13, () => new VaultShouldBeActiveError());
createErrorFromNameLookup.set('VaultShouldBeActive', () => new VaultShouldBeActiveError());
class VaultShouldBeCombinedError extends Error {
    constructor() {
        super('Vault should be combined');
        this.code = 0x14;
        this.name = 'VaultShouldBeCombined';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, VaultShouldBeCombinedError);
        }
    }
}
exports.VaultShouldBeCombinedError = VaultShouldBeCombinedError;
createErrorFromCodeLookup.set(0x14, () => new VaultShouldBeCombinedError());
createErrorFromNameLookup.set('VaultShouldBeCombined', () => new VaultShouldBeCombinedError());
class VaultTreasuryMintDoesNotMatchVaultMintError extends Error {
    constructor() {
        super('Vault treasury needs to match fraction mint');
        this.code = 0x15;
        this.name = 'VaultTreasuryMintDoesNotMatchVaultMint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, VaultTreasuryMintDoesNotMatchVaultMintError);
        }
    }
}
exports.VaultTreasuryMintDoesNotMatchVaultMintError = VaultTreasuryMintDoesNotMatchVaultMintError;
createErrorFromCodeLookup.set(0x15, () => new VaultTreasuryMintDoesNotMatchVaultMintError());
createErrorFromNameLookup.set('VaultTreasuryMintDoesNotMatchVaultMint', () => new VaultTreasuryMintDoesNotMatchVaultMintError());
class RedeemTreasuryCantShareSameMintAsFractionError extends Error {
    constructor() {
        super('Redeem Treasury cannot be same mint as fraction');
        this.code = 0x16;
        this.name = 'RedeemTreasuryCantShareSameMintAsFraction';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, RedeemTreasuryCantShareSameMintAsFractionError);
        }
    }
}
exports.RedeemTreasuryCantShareSameMintAsFractionError = RedeemTreasuryCantShareSameMintAsFractionError;
createErrorFromCodeLookup.set(0x16, () => new RedeemTreasuryCantShareSameMintAsFractionError());
createErrorFromNameLookup.set('RedeemTreasuryCantShareSameMintAsFraction', () => new RedeemTreasuryCantShareSameMintAsFractionError());
class InvalidAuthorityError extends Error {
    constructor() {
        super('Invalid program authority provided');
        this.code = 0x17;
        this.name = 'InvalidAuthority';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidAuthorityError);
        }
    }
}
exports.InvalidAuthorityError = InvalidAuthorityError;
createErrorFromCodeLookup.set(0x17, () => new InvalidAuthorityError());
createErrorFromNameLookup.set('InvalidAuthority', () => new InvalidAuthorityError());
class RedeemTreasuryMintMustMatchLookupMintError extends Error {
    constructor() {
        super('Redeem treasury mint must match lookup mint');
        this.code = 0x18;
        this.name = 'RedeemTreasuryMintMustMatchLookupMint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, RedeemTreasuryMintMustMatchLookupMintError);
        }
    }
}
exports.RedeemTreasuryMintMustMatchLookupMintError = RedeemTreasuryMintMustMatchLookupMintError;
createErrorFromCodeLookup.set(0x18, () => new RedeemTreasuryMintMustMatchLookupMintError());
createErrorFromNameLookup.set('RedeemTreasuryMintMustMatchLookupMint', () => new RedeemTreasuryMintMustMatchLookupMintError());
class PaymentMintShouldMatchPricingMintError extends Error {
    constructor() {
        super('You must pay with the same mint as the external pricing oracle');
        this.code = 0x19;
        this.name = 'PaymentMintShouldMatchPricingMint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, PaymentMintShouldMatchPricingMintError);
        }
    }
}
exports.PaymentMintShouldMatchPricingMintError = PaymentMintShouldMatchPricingMintError;
createErrorFromCodeLookup.set(0x19, () => new PaymentMintShouldMatchPricingMintError());
createErrorFromNameLookup.set('PaymentMintShouldMatchPricingMint', () => new PaymentMintShouldMatchPricingMintError());
class ShareMintShouldMatchFractionalMintError extends Error {
    constructor() {
        super('Your share account should match the mint of the fractional mint');
        this.code = 0x1a;
        this.name = 'ShareMintShouldMatchFractionalMint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, ShareMintShouldMatchFractionalMintError);
        }
    }
}
exports.ShareMintShouldMatchFractionalMintError = ShareMintShouldMatchFractionalMintError;
createErrorFromCodeLookup.set(0x1a, () => new ShareMintShouldMatchFractionalMintError());
createErrorFromNameLookup.set('ShareMintShouldMatchFractionalMint', () => new ShareMintShouldMatchFractionalMintError());
class VaultMintNeedsToMatchVaultError extends Error {
    constructor() {
        super('Vault mint provided does not match that on the token vault');
        this.code = 0x1b;
        this.name = 'VaultMintNeedsToMatchVault';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, VaultMintNeedsToMatchVaultError);
        }
    }
}
exports.VaultMintNeedsToMatchVaultError = VaultMintNeedsToMatchVaultError;
createErrorFromCodeLookup.set(0x1b, () => new VaultMintNeedsToMatchVaultError());
createErrorFromNameLookup.set('VaultMintNeedsToMatchVault', () => new VaultMintNeedsToMatchVaultError());
class RedeemTreasuryNeedsToMatchVaultError extends Error {
    constructor() {
        super('Redeem treasury provided does not match that on the token vault');
        this.code = 0x1c;
        this.name = 'RedeemTreasuryNeedsToMatchVault';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, RedeemTreasuryNeedsToMatchVaultError);
        }
    }
}
exports.RedeemTreasuryNeedsToMatchVaultError = RedeemTreasuryNeedsToMatchVaultError;
createErrorFromCodeLookup.set(0x1c, () => new RedeemTreasuryNeedsToMatchVaultError());
createErrorFromNameLookup.set('RedeemTreasuryNeedsToMatchVault', () => new RedeemTreasuryNeedsToMatchVaultError());
class FractionTreasuryNeedsToMatchVaultError extends Error {
    constructor() {
        super('Fraction treasury provided does not match that on the token vault');
        this.code = 0x1d;
        this.name = 'FractionTreasuryNeedsToMatchVault';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, FractionTreasuryNeedsToMatchVaultError);
        }
    }
}
exports.FractionTreasuryNeedsToMatchVaultError = FractionTreasuryNeedsToMatchVaultError;
createErrorFromCodeLookup.set(0x1d, () => new FractionTreasuryNeedsToMatchVaultError());
createErrorFromNameLookup.set('FractionTreasuryNeedsToMatchVault', () => new FractionTreasuryNeedsToMatchVaultError());
class NotAllowedToCombineError extends Error {
    constructor() {
        super('Not allowed to combine at this time');
        this.code = 0x1e;
        this.name = 'NotAllowedToCombine';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, NotAllowedToCombineError);
        }
    }
}
exports.NotAllowedToCombineError = NotAllowedToCombineError;
createErrorFromCodeLookup.set(0x1e, () => new NotAllowedToCombineError());
createErrorFromNameLookup.set('NotAllowedToCombine', () => new NotAllowedToCombineError());
class CannotAffordToCombineThisVaultError extends Error {
    constructor() {
        super('You cannot afford to combine this vault');
        this.code = 0x1f;
        this.name = 'CannotAffordToCombineThisVault';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, CannotAffordToCombineThisVaultError);
        }
    }
}
exports.CannotAffordToCombineThisVaultError = CannotAffordToCombineThisVaultError;
createErrorFromCodeLookup.set(0x1f, () => new CannotAffordToCombineThisVaultError());
createErrorFromNameLookup.set('CannotAffordToCombineThisVault', () => new CannotAffordToCombineThisVaultError());
class NoSharesError extends Error {
    constructor() {
        super('You have no shares to redeem');
        this.code = 0x20;
        this.name = 'NoShares';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, NoSharesError);
        }
    }
}
exports.NoSharesError = NoSharesError;
createErrorFromCodeLookup.set(0x20, () => new NoSharesError());
createErrorFromNameLookup.set('NoShares', () => new NoSharesError());
class OutstandingShareAccountNeedsToMatchFractionalMintError extends Error {
    constructor() {
        super('Your outstanding share account is the incorrect mint');
        this.code = 0x21;
        this.name = 'OutstandingShareAccountNeedsToMatchFractionalMint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, OutstandingShareAccountNeedsToMatchFractionalMintError);
        }
    }
}
exports.OutstandingShareAccountNeedsToMatchFractionalMintError = OutstandingShareAccountNeedsToMatchFractionalMintError;
createErrorFromCodeLookup.set(0x21, () => new OutstandingShareAccountNeedsToMatchFractionalMintError());
createErrorFromNameLookup.set('OutstandingShareAccountNeedsToMatchFractionalMint', () => new OutstandingShareAccountNeedsToMatchFractionalMintError());
class DestinationAccountNeedsToMatchRedeemMintError extends Error {
    constructor() {
        super('Your destination account is the incorrect mint');
        this.code = 0x22;
        this.name = 'DestinationAccountNeedsToMatchRedeemMint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, DestinationAccountNeedsToMatchRedeemMintError);
        }
    }
}
exports.DestinationAccountNeedsToMatchRedeemMintError = DestinationAccountNeedsToMatchRedeemMintError;
createErrorFromCodeLookup.set(0x22, () => new DestinationAccountNeedsToMatchRedeemMintError());
createErrorFromNameLookup.set('DestinationAccountNeedsToMatchRedeemMint', () => new DestinationAccountNeedsToMatchRedeemMintError());
class FractionSupplyEmptyError extends Error {
    constructor() {
        super('Fractional mint is empty');
        this.code = 0x23;
        this.name = 'FractionSupplyEmpty';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, FractionSupplyEmptyError);
        }
    }
}
exports.FractionSupplyEmptyError = FractionSupplyEmptyError;
createErrorFromCodeLookup.set(0x23, () => new FractionSupplyEmptyError());
createErrorFromNameLookup.set('FractionSupplyEmpty', () => new FractionSupplyEmptyError());
class TokenProgramProvidedDoesNotMatchVaultError extends Error {
    constructor() {
        super('Token Program Provided Needs To Match Vault');
        this.code = 0x24;
        this.name = 'TokenProgramProvidedDoesNotMatchVault';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TokenProgramProvidedDoesNotMatchVaultError);
        }
    }
}
exports.TokenProgramProvidedDoesNotMatchVaultError = TokenProgramProvidedDoesNotMatchVaultError;
createErrorFromCodeLookup.set(0x24, () => new TokenProgramProvidedDoesNotMatchVaultError());
createErrorFromNameLookup.set('TokenProgramProvidedDoesNotMatchVault', () => new TokenProgramProvidedDoesNotMatchVaultError());
class AuthorityIsNotSignerError extends Error {
    constructor() {
        super('Authority of vault needs to be signer for this action');
        this.code = 0x25;
        this.name = 'AuthorityIsNotSigner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, AuthorityIsNotSignerError);
        }
    }
}
exports.AuthorityIsNotSignerError = AuthorityIsNotSignerError;
createErrorFromCodeLookup.set(0x25, () => new AuthorityIsNotSignerError());
createErrorFromNameLookup.set('AuthorityIsNotSigner', () => new AuthorityIsNotSignerError());
class AuthorityDoesNotMatchError extends Error {
    constructor() {
        super('Authority of vault does not match authority provided');
        this.code = 0x26;
        this.name = 'AuthorityDoesNotMatch';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, AuthorityDoesNotMatchError);
        }
    }
}
exports.AuthorityDoesNotMatchError = AuthorityDoesNotMatchError;
createErrorFromCodeLookup.set(0x26, () => new AuthorityDoesNotMatchError());
createErrorFromNameLookup.set('AuthorityDoesNotMatch', () => new AuthorityDoesNotMatchError());
class SafetyDepositBoxVaultMismatchError extends Error {
    constructor() {
        super('This safety deposit box does not belong to this vault!');
        this.code = 0x27;
        this.name = 'SafetyDepositBoxVaultMismatch';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, SafetyDepositBoxVaultMismatchError);
        }
    }
}
exports.SafetyDepositBoxVaultMismatchError = SafetyDepositBoxVaultMismatchError;
createErrorFromCodeLookup.set(0x27, () => new SafetyDepositBoxVaultMismatchError());
createErrorFromNameLookup.set('SafetyDepositBoxVaultMismatch', () => new SafetyDepositBoxVaultMismatchError());
class StoreDoesNotMatchSafetyDepositBoxError extends Error {
    constructor() {
        super('The store provided does not match the store key on the safety deposit box!');
        this.code = 0x28;
        this.name = 'StoreDoesNotMatchSafetyDepositBox';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, StoreDoesNotMatchSafetyDepositBoxError);
        }
    }
}
exports.StoreDoesNotMatchSafetyDepositBoxError = StoreDoesNotMatchSafetyDepositBoxError;
createErrorFromCodeLookup.set(0x28, () => new StoreDoesNotMatchSafetyDepositBoxError());
createErrorFromNameLookup.set('StoreDoesNotMatchSafetyDepositBox', () => new StoreDoesNotMatchSafetyDepositBoxError());
class StoreEmptyError extends Error {
    constructor() {
        super('This safety deposit box is empty!');
        this.code = 0x29;
        this.name = 'StoreEmpty';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, StoreEmptyError);
        }
    }
}
exports.StoreEmptyError = StoreEmptyError;
createErrorFromCodeLookup.set(0x29, () => new StoreEmptyError());
createErrorFromNameLookup.set('StoreEmpty', () => new StoreEmptyError());
class DestinationAccountNeedsToMatchTokenMintError extends Error {
    constructor() {
        super("The destination account to receive your token needs to be the same mint as the token's mint");
        this.code = 0x2a;
        this.name = 'DestinationAccountNeedsToMatchTokenMint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, DestinationAccountNeedsToMatchTokenMintError);
        }
    }
}
exports.DestinationAccountNeedsToMatchTokenMintError = DestinationAccountNeedsToMatchTokenMintError;
createErrorFromCodeLookup.set(0x2a, () => new DestinationAccountNeedsToMatchTokenMintError());
createErrorFromNameLookup.set('DestinationAccountNeedsToMatchTokenMint', () => new DestinationAccountNeedsToMatchTokenMintError());
class DestinationAccountNeedsToMatchFractionMintError extends Error {
    constructor() {
        super("The destination account to receive your shares needs to be the same mint as the vault's fraction mint");
        this.code = 0x2b;
        this.name = 'DestinationAccountNeedsToMatchFractionMint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, DestinationAccountNeedsToMatchFractionMintError);
        }
    }
}
exports.DestinationAccountNeedsToMatchFractionMintError = DestinationAccountNeedsToMatchFractionMintError;
createErrorFromCodeLookup.set(0x2b, () => new DestinationAccountNeedsToMatchFractionMintError());
createErrorFromNameLookup.set('DestinationAccountNeedsToMatchFractionMint', () => new DestinationAccountNeedsToMatchFractionMintError());
class SourceAccountNeedsToMatchFractionMintError extends Error {
    constructor() {
        super("The source account to send your shares from needs to be the same mint as the vault's fraction mint");
        this.code = 0x2c;
        this.name = 'SourceAccountNeedsToMatchFractionMint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, SourceAccountNeedsToMatchFractionMintError);
        }
    }
}
exports.SourceAccountNeedsToMatchFractionMintError = SourceAccountNeedsToMatchFractionMintError;
createErrorFromCodeLookup.set(0x2c, () => new SourceAccountNeedsToMatchFractionMintError());
createErrorFromNameLookup.set('SourceAccountNeedsToMatchFractionMint', () => new SourceAccountNeedsToMatchFractionMintError());
class VaultDoesNotAllowNewShareMintingError extends Error {
    constructor() {
        super('This vault does not allow the minting of new shares!');
        this.code = 0x2d;
        this.name = 'VaultDoesNotAllowNewShareMinting';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, VaultDoesNotAllowNewShareMintingError);
        }
    }
}
exports.VaultDoesNotAllowNewShareMintingError = VaultDoesNotAllowNewShareMintingError;
createErrorFromCodeLookup.set(0x2d, () => new VaultDoesNotAllowNewShareMintingError());
createErrorFromNameLookup.set('VaultDoesNotAllowNewShareMinting', () => new VaultDoesNotAllowNewShareMintingError());
class NotEnoughSharesError extends Error {
    constructor() {
        super('There are not enough shares');
        this.code = 0x2e;
        this.name = 'NotEnoughShares';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, NotEnoughSharesError);
        }
    }
}
exports.NotEnoughSharesError = NotEnoughSharesError;
createErrorFromCodeLookup.set(0x2e, () => new NotEnoughSharesError());
createErrorFromNameLookup.set('NotEnoughShares', () => new NotEnoughSharesError());
class ExternalPriceAccountMustBeSignerError extends Error {
    constructor() {
        super('External price account must be signer');
        this.code = 0x2f;
        this.name = 'ExternalPriceAccountMustBeSigner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, ExternalPriceAccountMustBeSignerError);
        }
    }
}
exports.ExternalPriceAccountMustBeSignerError = ExternalPriceAccountMustBeSignerError;
createErrorFromCodeLookup.set(0x2f, () => new ExternalPriceAccountMustBeSignerError());
createErrorFromNameLookup.set('ExternalPriceAccountMustBeSigner', () => new ExternalPriceAccountMustBeSignerError());
class RedeemTreasuryMintShouldMatchPricingMintError extends Error {
    constructor() {
        super("Very bad, someone changed external account's price mint after vault creation!");
        this.code = 0x30;
        this.name = 'RedeemTreasuryMintShouldMatchPricingMint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, RedeemTreasuryMintShouldMatchPricingMintError);
        }
    }
}
exports.RedeemTreasuryMintShouldMatchPricingMintError = RedeemTreasuryMintShouldMatchPricingMintError;
createErrorFromCodeLookup.set(0x30, () => new RedeemTreasuryMintShouldMatchPricingMintError());
createErrorFromNameLookup.set('RedeemTreasuryMintShouldMatchPricingMint', () => new RedeemTreasuryMintShouldMatchPricingMintError());
class StoreLessThanAmountError extends Error {
    constructor() {
        super('Store has less than amount desired');
        this.code = 0x31;
        this.name = 'StoreLessThanAmount';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, StoreLessThanAmountError);
        }
    }
}
exports.StoreLessThanAmountError = StoreLessThanAmountError;
createErrorFromCodeLookup.set(0x31, () => new StoreLessThanAmountError());
createErrorFromNameLookup.set('StoreLessThanAmount', () => new StoreLessThanAmountError());
class InvalidTokenProgramError extends Error {
    constructor() {
        super('Invalid token program');
        this.code = 0x32;
        this.name = 'InvalidTokenProgram';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidTokenProgramError);
        }
    }
}
exports.InvalidTokenProgramError = InvalidTokenProgramError;
createErrorFromCodeLookup.set(0x32, () => new InvalidTokenProgramError());
createErrorFromNameLookup.set('InvalidTokenProgram', () => new InvalidTokenProgramError());
class DataTypeMismatchError extends Error {
    constructor() {
        super('Data type mismatch');
        this.code = 0x33;
        this.name = 'DataTypeMismatch';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, DataTypeMismatchError);
        }
    }
}
exports.DataTypeMismatchError = DataTypeMismatchError;
createErrorFromCodeLookup.set(0x33, () => new DataTypeMismatchError());
createErrorFromNameLookup.set('DataTypeMismatch', () => new DataTypeMismatchError());
class DelegateShouldBeNoneError extends Error {
    constructor() {
        super('Accept payment delegate should be none');
        this.code = 0x34;
        this.name = 'DelegateShouldBeNone';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, DelegateShouldBeNoneError);
        }
    }
}
exports.DelegateShouldBeNoneError = DelegateShouldBeNoneError;
createErrorFromCodeLookup.set(0x34, () => new DelegateShouldBeNoneError());
createErrorFromNameLookup.set('DelegateShouldBeNone', () => new DelegateShouldBeNoneError());
class CloseAuthorityShouldBeNoneError extends Error {
    constructor() {
        super('Accept payment close authority should be none');
        this.code = 0x35;
        this.name = 'CloseAuthorityShouldBeNone';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, CloseAuthorityShouldBeNoneError);
        }
    }
}
exports.CloseAuthorityShouldBeNoneError = CloseAuthorityShouldBeNoneError;
createErrorFromCodeLookup.set(0x35, () => new CloseAuthorityShouldBeNoneError());
createErrorFromNameLookup.set('CloseAuthorityShouldBeNone', () => new CloseAuthorityShouldBeNoneError());
class DerivedKeyInvalidError extends Error {
    constructor() {
        super('Derived key invalid');
        this.code = 0x36;
        this.name = 'DerivedKeyInvalid';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, DerivedKeyInvalidError);
        }
    }
}
exports.DerivedKeyInvalidError = DerivedKeyInvalidError;
createErrorFromCodeLookup.set(0x36, () => new DerivedKeyInvalidError());
createErrorFromNameLookup.set('DerivedKeyInvalid', () => new DerivedKeyInvalidError());
function errorFromCode(code) {
    const createError = createErrorFromCodeLookup.get(code);
    return createError != null ? createError() : null;
}
exports.errorFromCode = errorFromCode;
function errorFromName(name) {
    const createError = createErrorFromNameLookup.get(name);
    return createError != null ? createError() : null;
}
exports.errorFromName = errorFromName;
//# sourceMappingURL=index.js.map