"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAddTokenToInactiveVaultInstruction = void 0;
const splToken = __importStar(require("@safecoin/safe-token"));
const definedTypes = __importStar(require("../types"));
const beet = __importStar(require("@j0nnyboi/beet"));
const web3 = __importStar(require("@safecoin/web3.js"));
const AddTokenToInactiveVaultStruct = new beet.BeetArgsStruct([
    ['instructionDiscriminator', beet.u8],
    ['amountArgs', definedTypes.amountArgsBeet],
], 'AddTokenToInactiveVaultInstructionArgs');
const addTokenToInactiveVaultInstructionDiscriminator = 1;
function createAddTokenToInactiveVaultInstruction(accounts, args) {
    const { safetyDepositAccount, tokenAccount, store, vault, vaultAuthority, payer, transferAuthority, systemAccount, } = accounts;
    const [data] = AddTokenToInactiveVaultStruct.serialize({
        instructionDiscriminator: addTokenToInactiveVaultInstructionDiscriminator,
        ...args,
    });
    const keys = [
        {
            pubkey: safetyDepositAccount,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: tokenAccount,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: store,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: vault,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: vaultAuthority,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: payer,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: transferAuthority,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: splToken.TOKEN_PROGRAM_ID,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: web3.SYSVAR_RENT_PUBKEY,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: systemAccount,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId: new web3.PublicKey('vau1zxA2LbssAUEF7Gpw91zMM1LvXrvpzJtmZ58rPsn'),
        keys,
        data,
    });
    return ix;
}
exports.createAddTokenToInactiveVaultInstruction = createAddTokenToInactiveVaultInstruction;
//# sourceMappingURL=AddTokenToInactiveVault.js.map