"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMintFractionalSharesInstruction = void 0;
const splToken = __importStar(require("@safecoin/safe-token"));
const definedTypes = __importStar(require("../types"));
const beet = __importStar(require("@j0nnyboi/beet"));
const web3 = __importStar(require("@safecoin/web3.js"));
const MintFractionalSharesStruct = new beet.BeetArgsStruct([
    ['instructionDiscriminator', beet.u8],
    ['numberOfShareArgs', definedTypes.numberOfShareArgsBeet],
], 'MintFractionalSharesInstructionArgs');
const mintFractionalSharesInstructionDiscriminator = 6;
function createMintFractionalSharesInstruction(accounts, args) {
    const { fractionTreasury, fractionMint, vault, mintAuthority, vaultAuthority } = accounts;
    const [data] = MintFractionalSharesStruct.serialize({
        instructionDiscriminator: mintFractionalSharesInstructionDiscriminator,
        ...args,
    });
    const keys = [
        {
            pubkey: fractionTreasury,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: fractionMint,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: vault,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: mintAuthority,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: vaultAuthority,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: splToken.TOKEN_PROGRAM_ID,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId: new web3.PublicKey('vau1zxA2LbssAUEF7Gpw91zMM1LvXrvpzJtmZ58rPsn'),
        keys,
        data,
    });
    return ix;
}
exports.createMintFractionalSharesInstruction = createMintFractionalSharesInstruction;
//# sourceMappingURL=MintFractionalShares.js.map