"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRedeemSharesInstruction = void 0;
const splToken = __importStar(require("@safecoin/safe-token"));
const beet = __importStar(require("@j0nnyboi/beet"));
const web3 = __importStar(require("@safecoin/web3.js"));
const RedeemSharesStruct = new beet.BeetArgsStruct([['instructionDiscriminator', beet.u8]], 'RedeemSharesInstructionArgs');
const redeemSharesInstructionDiscriminator = 4;
function createRedeemSharesInstruction(accounts) {
    const { outstandingShares, destination, fractionMint, redeemTreasury, transferAuthority, burnAuthority, vault, } = accounts;
    const [data] = RedeemSharesStruct.serialize({
        instructionDiscriminator: redeemSharesInstructionDiscriminator,
    });
    const keys = [
        {
            pubkey: outstandingShares,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: destination,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: fractionMint,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: redeemTreasury,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: transferAuthority,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: burnAuthority,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: vault,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: splToken.TOKEN_PROGRAM_ID,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: web3.SYSVAR_RENT_PUBKEY,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId: new web3.PublicKey('vau1zxA2LbssAUEF7Gpw91zMM1LvXrvpzJtmZ58rPsn'),
        keys,
        data,
    });
    return ix;
}
exports.createRedeemSharesInstruction = createRedeemSharesInstruction;
//# sourceMappingURL=RedeemShares.js.map