import { Connection, Keypair, PublicKey, Signer, TransactionInstruction } from '@safecoin/web3.js';
import { AddTokenToInactiveVaultInstructionAccounts, AmountArgs } from '../generated';
export declare class SafetyDepositSetup {
    readonly vault: PublicKey;
    readonly tokenAccount: PublicKey;
    readonly tokenMint: PublicKey;
    readonly store: PublicKey;
    readonly safetyDeposit: PublicKey;
    readonly transferAuthority: PublicKey;
    readonly transferAuthorityPair: Keypair;
    readonly mintAmount: number;
    readonly instructions: TransactionInstruction[];
    readonly signers: Signer[];
    readonly tokenMintPair?: Keypair;
    private constructor();
    static create(connection: Connection, args: {
        payer: PublicKey;
        vault: PublicKey;
        tokenMint?: PublicKey;
        tokenAccount?: PublicKey;
        mintAmount: number;
        associateTokenAccount?: boolean;
    }): Promise<SafetyDepositSetup>;
}
export declare function addTokenToInactiveVault(safetyDepositSetup: SafetyDepositSetup, ixAccounts: {
    payer: PublicKey;
    vaultAuthority: PublicKey;
}): Promise<TransactionInstruction>;
export declare function addTokenToInactiveVaultDirect(amountArgs: AmountArgs, accounts: Omit<AddTokenToInactiveVaultInstructionAccounts, 'systemAccount'>): Promise<TransactionInstruction>;
