import { bignum } from '@j0nnyboi/beet';
import { Connection, Keypair, PublicKey } from '@safecoin/web3.js';
import { WithdrawSharesFromTreasuryInstructionAccounts } from '../generated';
import { InstructionsWithAccounts } from '../types';
export declare function setupWithdrawSharesDestinationAccount(connection: Connection, args: {
    payer: PublicKey;
    fractionMint: PublicKey;
}): Promise<InstructionsWithAccounts<{
    destination: PublicKey;
    destinationPair: Keypair;
}>>;
export declare type WithdrawSharesFromTreasuryAccounts = Omit<WithdrawSharesFromTreasuryInstructionAccounts, 'transferAuthority'>;
export declare function withdrawSharesFromTreasury(accounts: Omit<WithdrawSharesFromTreasuryInstructionAccounts, 'transferAuthority'>, numberOfShares: bignum): Promise<import("@safecoin/web3.js").TransactionInstruction>;
