"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withdrawSharesFromTreasury = exports.setupWithdrawSharesDestinationAccount = void 0;
const common_1 = require("../common");
const helpers_1 = require("../common/helpers");
const generated_1 = require("../generated");
async function setupWithdrawSharesDestinationAccount(connection, args) {
    return (0, common_1.setupDestinationTokenAccount)(connection, {
        payer: args.payer,
        mint: args.fractionMint,
    });
}
exports.setupWithdrawSharesDestinationAccount = setupWithdrawSharesDestinationAccount;
async function withdrawSharesFromTreasury(accounts, numberOfShares) {
    const args = { numberOfShareArgs: { numberOfShares } };
    const transferAuthority = await (0, helpers_1.pdaForVault)(accounts.vault);
    return (0, generated_1.createWithdrawSharesFromTreasuryInstruction)({ ...accounts, transferAuthority }, args);
}
exports.withdrawSharesFromTreasury = withdrawSharesFromTreasury;
//# sourceMappingURL=withdraw-shares-from-treasury.js.map